from aiogram import Bot as ConnectionToBrain
from aiogram import Dispatcher as ConnectionToEars
from aiogram import executor as world

from lenochka.brain import Brain, memory


def talk_to_the_wind() -> None:
    """
    Start thinking and speaking to the wind.

    This part of lenochka's existance
    is the only one thing she can do
    without making mistakes.
    """
    brain = Brain()
    brain_connection = ConnectionToBrain(token=memory.token)
    ears = ConnectionToEars(brain_connection)
    ears.register_message_handler(
        brain.think,
        regexp="да",
    )
    world.start_polling(ears)
